%ifarch %{arm}
%define kflavour kirkwood
%else
%define kflavour desktop
%endif

Summary:	Tools for managing sets of IP or ports with iptables
Name:		ipset
Version:	6.11
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://ipset.netfilter.org/
Source0:	http://ipset.netfilter.org/%{name}-%{version}.tar.bz2
Requires:	libmnl
BuildRequires:	mnl-devel
BuildRequires:	kernel-%{kflavour}-devel-latest

%description
IP sets are a framework inside the Linux kernel since 2.4.x, which can be
administered by the ipset utility. Depending on the type, currently an IP set
may store IP addresses, (TCP/UDP) port numbers or IP addresses with MAC
addresses in a way, which ensures lightning speed when matching an entry
against a set.

ipset may be the proper tool for you, if you want to

 o store multiple IP addresses or port numbers and match against the collection
   by iptables at one swoop;

 o dynamically update iptables rules against IP addresses or ports without
   performance penalty;

 o express complex IP address and ports based rulesets with one single iptables
   rule and benefit from the speed of IP sets 

%prep
%setup -q

%build
aclocal -I m4
autoreconf -fi
KPKG=$(rpm -q --requires kernel-%{kflavour}-devel-latest | grep kernel-%{kflavour}-devel)
KDIR=$(rpm -ql $KPKG | grep '/usr/src/[^/]*$')
%configure2_5x --with-kbuild=$KDIR --disable-shared
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot%_libdir/*.la %buildroot%_libdir/*.a

%clean
rm -rf %{buildroot}

%files
%doc ChangeLog ChangeLog.ippool
%{_sbindir}/*
%{_mandir}/man8/*.8*
%dir %{_includedir}/libipset/
%{_includedir}/libipset/*


%changelog

* Mon Mar 05 2012 tmb <tmb> 6.11-1.mga2
+ Revision: 219205
- update filelists
- update to 6.11

* Fri Jan 06 2012 tmb <tmb> 6.10-1.mga2
+ Revision: 192079
- update to 6.10
- drop defattr and old tarballs
- fix description
- update to 6.8

* Thu May 12 2011 pterjan <pterjan> 6.4-4.mga1
+ Revision: 97377
- Avoid hardcoding kernel version in BuildRequires

* Wed May 11 2011 pterjan <pterjan> 6.4-3.mga1
+ Revision: 97367
- Rebuild for new kernel

* Tue May 03 2011 tmb <tmb> 6.4-2.mga1
+ Revision: 94524
- disable shared build as nothing needs it (fwang, mdv)

* Sun Apr 24 2011 tmb <tmb> 6.4-1.mga1
+ Revision: 90137
- disable under/overlinking temporarily
- fix build to check against correct kernel config
- fix build
- add libmnl to requires and mnl-devel to buildrequires
- update to 6.4

* Fri Feb 11 2011 tmb <tmb> 4.4-1.mga1
+ Revision: 50080
- imported package ipset

